# frozen_string_literal: true

require_relative 'lib/wag/version'

Gem::Specification.new do |spec|
  spec.name          = 'wag'
  spec.version       = WAG::VERSION
  spec.authors       = ['James Harton']
  spec.email         = ['james@automat.nz']

  spec.summary       = 'WebAssembly Generator'
  spec.description   = 'Generate and compile WebAssembly code from Ruby'
  spec.homepage      = 'https://gitlab.com/jimsy/wag'
  spec.license       = 'Hippocratic'
  spec.required_ruby_version = Gem::Requirement.new('>= 2.3.0')

  # spec.metadata["allowed_push_host"] = "TODO: Set to 'http://mygemserver.com'"

  spec.metadata['homepage_uri'] = spec.homepage
  spec.metadata['source_code_uri'] = 'https://gitlab.com/jimsy/wag'
  spec.metadata['changelog_uri'] = 'https://gitlab.com/jimsy/wag'

  # Specify which files should be added to the gem when it is released. The `git
  # ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`
      .split("\x0")
      .reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_runtime_dependency('dry-inflector', '~> 0.2.0')
end
